Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.mapping
Interface PersistentClassVisitor

    public interface PersistentClassVisitor

Method Summary
`Object` | `accept(JoinedSubclass subclass)`
`Object` | `accept(RootClass class1)`
`Object` | `accept(SingleTableSubclass subclass)`
`Object` | `accept(Subclass subclass)`
`Object` | `accept(UnionSubclass subclass)`

Method Detail

### accept

    Object accept(RootClass class1)

### accept

    Object accept(UnionSubclass subclass)

### accept

    Object accept(SingleTableSubclass subclass)

### accept

    Object accept(JoinedSubclass subclass)

### accept

    Object accept(Subclass subclass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.